# setup for py2exe for p4 addins

# Copyright (c) 2006 Qualcomm
# Miki Tebeka <mtebeka@qualcomm.com>

from distutils.core import setup
import py2exe

WIN_SCRIPTS = [
#    "changelog.py",
    "quick-label.py",
    "publishui.py",
    "checkout-to.py",
    "label2change.py",
    "install.py",
    "make-dev-branch.py",
    "safe-sync.py"
]

CMD_SCRIPTS = [
    "p4v_install.py",
    "p4win_install.py"
]

def script(name):
    return {"script" : name, "icon_resources" : [(1, "addins.ico")]}

setup(windows = [script(name) for name in WIN_SCRIPTS],
      console = [script(name) for name in CMD_SCRIPTS]
)
